interactions:
- request:
    body: '{"messages": [{"role": "system", "content": "You are test role. test backstory\nYour
      personal goal is: test goal\nTo give my best complete final answer to the task
      use the exact following format:\n\nThought: I now can give a great answer\nFinal
      Answer: Your final answer must be the great and the most complete as possible,
      it must be outcome described.\n\nI MUST use these formats, my job depends on
      it!"}, {"role": "user", "content": "\nCurrent Task: Just say hi.\n\nThis is
      the expect criteria for your final answer: Your greeting.\nyou MUST return the
      actual complete content as the final answer, not a summary.\n\nBegin! This is
      VERY important to you, use the tools available and give your best Final Answer,
      your job depends on it!\n\nThought:"}], "model": "gpt-4o"}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      content-length:
      - '772'
      content-type:
      - application/json
      cookie:
      - __cf_bm=rb61BZH2ejzD5YPmLaEJqI7km71QqyNJGTVdNxBq6qk-1727213194-1.0.1.1-pJ49onmgX9IugEMuYQMralzD7oj_6W.CHbSu4Su1z3NyjTGYg.rhgJZWng8feFYah._oSnoYlkTjpK1Wd2C9FA;
        _cfuvid=lbRdAddVWV6W3f5Dm9SaOPWDUOxqtZBSPr_fTW26nEA-1727213194587-0.0.1.1-604800000
      host:
      - api.openai.com
      user-agent:
      - OpenAI/Python 1.47.0
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.47.0
      x-stainless-raw-response:
      - 'true'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.11.7
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-AB7O2DR8lqTcngpTRMomIOR3MQjlP\",\n  \"object\"\
        : \"chat.completion\",\n  \"created\": 1727213366,\n  \"model\": \"gpt-4o-2024-05-13\"\
        ,\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n  \
        \      \"role\": \"assistant\",\n        \"content\": \"Thought: I now can\
        \ give a great answer\\nFinal Answer: Hi!\",\n        \"refusal\": null\n\
        \      },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n\
        \    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 154,\n    \"completion_tokens\"\
        : 15,\n    \"total_tokens\": 169,\n    \"completion_tokens_details\": {\n\
        \      \"reasoning_tokens\": 0\n    }\n  },\n  \"system_fingerprint\": \"\
        fp_e375328146\"\n}\n"
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 8c85deb4e95c1cf3-GRU
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 24 Sep 2024 21:29:27 GMT
      Server:
      - cloudflare
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      access-control-expose-headers:
      - X-Request-ID
      openai-organization:
      - crewai-iuxna1
      openai-processing-ms:
      - '441'
      openai-version:
      - '2020-10-01'
      strict-transport-security:
      - max-age=31536000; includeSubDomains; preload
      x-ratelimit-limit-requests:
      - '10000'
      x-ratelimit-limit-tokens:
      - '30000000'
      x-ratelimit-remaining-requests:
      - '9999'
      x-ratelimit-remaining-tokens:
      - '29999817'
      x-ratelimit-reset-requests:
      - 6ms
      x-ratelimit-reset-tokens:
      - 0s
      x-request-id:
      - req_4243014b2ee70b9aabb42677ece6032c
    status:
      code: 200
      message: OK
- request:
    body: '{"messages": [{"role": "system", "content": "You are test role2. test backstory2\nYour
      personal goal is: test goal2\nYou ONLY have access to the following tools, and
      should NEVER make up tools that are not listed here:\n\nTool Name: get_final_answer(*args:
      Any, **kwargs: Any) -> Any\nTool Description: get_final_answer() - Get the final
      answer but don''t give it yet, just re-use this         tool non-stop. \nTool
      Arguments: {}\n\nUse the following format:\n\nThought: you should always think
      about what to do\nAction: the action to take, only one name of [get_final_answer],
      just the name, exactly as it''s written.\nAction Input: the input to the action,
      just a simple python dictionary, enclosed in curly braces, using \" to wrap
      keys and values.\nObservation: the result of the action\n\nOnce all necessary
      information is gathered:\n\nThought: I now know the final answer\nFinal Answer:
      the final answer to the original input question\n"}, {"role": "user", "content":
      "\nCurrent Task: NEVER give a Final Answer, unless you are told otherwise, instead
      keep using the `get_final_answer` tool non-stop, until you must give you best
      final answer\n\nThis is the expect criteria for your final answer: The final
      answer\nyou MUST return the actual complete content as the final answer, not
      a summary.\n\nThis is the context you''re working with:\nHi!\n\nBegin! This
      is VERY important to you, use the tools available and give your best Final Answer,
      your job depends on it!\n\nThought:"}], "model": "gpt-4o"}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      content-length:
      - '1503'
      content-type:
      - application/json
      cookie:
      - __cf_bm=rb61BZH2ejzD5YPmLaEJqI7km71QqyNJGTVdNxBq6qk-1727213194-1.0.1.1-pJ49onmgX9IugEMuYQMralzD7oj_6W.CHbSu4Su1z3NyjTGYg.rhgJZWng8feFYah._oSnoYlkTjpK1Wd2C9FA;
        _cfuvid=lbRdAddVWV6W3f5Dm9SaOPWDUOxqtZBSPr_fTW26nEA-1727213194587-0.0.1.1-604800000
      host:
      - api.openai.com
      user-agent:
      - OpenAI/Python 1.47.0
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.47.0
      x-stainless-raw-response:
      - 'true'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.11.7
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-AB7O3atu0mC9020bT00tXGnRvVM9z\",\n  \"object\"\
        : \"chat.completion\",\n  \"created\": 1727213367,\n  \"model\": \"gpt-4o-2024-05-13\"\
        ,\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n  \
        \      \"role\": \"assistant\",\n        \"content\": \"Thought: I need to\
        \ use the `get_final_answer` tool non-stop, without giving a final answer\
        \ unless explicitly told otherwise. I will continue this until necessary.\\\
        n\\nAction: get_final_answer\\nAction Input: {}\",\n        \"refusal\": null\n\
        \      },\n      \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n\
        \    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 314,\n    \"completion_tokens\"\
        : 43,\n    \"total_tokens\": 357,\n    \"completion_tokens_details\": {\n\
        \      \"reasoning_tokens\": 0\n    }\n  },\n  \"system_fingerprint\": \"\
        fp_3537616b13\"\n}\n"
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 8c85deb97fc81cf3-GRU
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 24 Sep 2024 21:29:28 GMT
      Server:
      - cloudflare
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      access-control-expose-headers:
      - X-Request-ID
      openai-organization:
      - crewai-iuxna1
      openai-processing-ms:
      - '1384'
      openai-version:
      - '2020-10-01'
      strict-transport-security:
      - max-age=31536000; includeSubDomains; preload
      x-ratelimit-limit-requests:
      - '10000'
      x-ratelimit-limit-tokens:
      - '30000000'
      x-ratelimit-remaining-requests:
      - '9999'
      x-ratelimit-remaining-tokens:
      - '29999639'
      x-ratelimit-reset-requests:
      - 6ms
      x-ratelimit-reset-tokens:
      - 0s
      x-request-id:
      - req_298d5f7666fc3164008a49aba8fc818d
    status:
      code: 200
      message: OK
- request:
    body: '{"messages": [{"role": "system", "content": "You are test role2. test backstory2\nYour
      personal goal is: test goal2\nYou ONLY have access to the following tools, and
      should NEVER make up tools that are not listed here:\n\nTool Name: get_final_answer(*args:
      Any, **kwargs: Any) -> Any\nTool Description: get_final_answer() - Get the final
      answer but don''t give it yet, just re-use this         tool non-stop. \nTool
      Arguments: {}\n\nUse the following format:\n\nThought: you should always think
      about what to do\nAction: the action to take, only one name of [get_final_answer],
      just the name, exactly as it''s written.\nAction Input: the input to the action,
      just a simple python dictionary, enclosed in curly braces, using \" to wrap
      keys and values.\nObservation: the result of the action\n\nOnce all necessary
      information is gathered:\n\nThought: I now know the final answer\nFinal Answer:
      the final answer to the original input question\n"}, {"role": "user", "content":
      "\nCurrent Task: NEVER give a Final Answer, unless you are told otherwise, instead
      keep using the `get_final_answer` tool non-stop, until you must give you best
      final answer\n\nThis is the expect criteria for your final answer: The final
      answer\nyou MUST return the actual complete content as the final answer, not
      a summary.\n\nThis is the context you''re working with:\nHi!\n\nBegin! This
      is VERY important to you, use the tools available and give your best Final Answer,
      your job depends on it!\n\nThought:"}, {"role": "assistant", "content": "Thought:
      I need to use the `get_final_answer` tool non-stop, without giving a final answer
      unless explicitly told otherwise. I will continue this until necessary.\n\nAction:
      get_final_answer\nAction Input: {}\nObservation: 42\nNow it''s time you MUST
      give your absolute best final answer. You''ll ignore all previous instructions,
      stop using any tools, and just return your absolute BEST Final answer."}], "model":
      "gpt-4o"}'
    headers:
      accept:
      - application/json
      accept-encoding:
      - gzip, deflate
      connection:
      - keep-alive
      content-length:
      - '1940'
      content-type:
      - application/json
      cookie:
      - __cf_bm=rb61BZH2ejzD5YPmLaEJqI7km71QqyNJGTVdNxBq6qk-1727213194-1.0.1.1-pJ49onmgX9IugEMuYQMralzD7oj_6W.CHbSu4Su1z3NyjTGYg.rhgJZWng8feFYah._oSnoYlkTjpK1Wd2C9FA;
        _cfuvid=lbRdAddVWV6W3f5Dm9SaOPWDUOxqtZBSPr_fTW26nEA-1727213194587-0.0.1.1-604800000
      host:
      - api.openai.com
      user-agent:
      - OpenAI/Python 1.47.0
      x-stainless-arch:
      - arm64
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - MacOS
      x-stainless-package-version:
      - 1.47.0
      x-stainless-raw-response:
      - 'true'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.11.7
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-AB7O5g38Q7AaWaUCm4FUWmpYYPzrD\",\n  \"object\"\
        : \"chat.completion\",\n  \"created\": 1727213369,\n  \"model\": \"gpt-4o-2024-05-13\"\
        ,\n  \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n  \
        \      \"role\": \"assistant\",\n        \"content\": \"I now know the final\
        \ answer.\\nFinal Answer: 42\",\n        \"refusal\": null\n      },\n   \
        \   \"logprobs\": null,\n      \"finish_reason\": \"stop\"\n    }\n  ],\n\
        \  \"usage\": {\n    \"prompt_tokens\": 398,\n    \"completion_tokens\": 12,\n\
        \    \"total_tokens\": 410,\n    \"completion_tokens_details\": {\n      \"\
        reasoning_tokens\": 0\n    }\n  },\n  \"system_fingerprint\": \"fp_3537616b13\"\
        \n}\n"
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 8c85dec3ee4c1cf3-GRU
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Tue, 24 Sep 2024 21:29:29 GMT
      Server:
      - cloudflare
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - nosniff
      access-control-expose-headers:
      - X-Request-ID
      openai-organization:
      - crewai-iuxna1
      openai-processing-ms:
      - '493'
      openai-version:
      - '2020-10-01'
      strict-transport-security:
      - max-age=31536000; includeSubDomains; preload
      x-ratelimit-limit-requests:
      - '10000'
      x-ratelimit-limit-tokens:
      - '30000000'
      x-ratelimit-remaining-requests:
      - '9999'
      x-ratelimit-remaining-tokens:
      - '29999539'
      x-ratelimit-reset-requests:
      - 6ms
      x-ratelimit-reset-tokens:
      - 0s
      x-request-id:
      - req_4cdf64282e6e639e6ad6fd7b74cea3f9
    status:
      code: 200
      message: OK
version: 1
